import type { IOSPermissionMap } from './permissions.ios';
import type { WindowsPermissionMap } from './permissions.windows';
declare const ANDROID: Readonly<{
    readonly ACCEPT_HANDOVER: "android.permission.ACCEPT_HANDOVER";
    readonly ACCESS_BACKGROUND_LOCATION: "android.permission.ACCESS_BACKGROUND_LOCATION";
    readonly ACCESS_COARSE_LOCATION: "android.permission.ACCESS_COARSE_LOCATION";
    readonly ACCESS_FINE_LOCATION: "android.permission.ACCESS_FINE_LOCATION";
    readonly ACCESS_MEDIA_LOCATION: "android.permission.ACCESS_MEDIA_LOCATION";
    readonly ACTIVITY_RECOGNITION: "android.permission.ACTIVITY_RECOGNITION";
    readonly ADD_VOICEMAIL: "com.android.voicemail.permission.ADD_VOICEMAIL";
    readonly ANSWER_PHONE_CALLS: "android.permission.ANSWER_PHONE_CALLS";
    readonly BLUETOOTH_ADVERTISE: "android.permission.BLUETOOTH_ADVERTISE";
    readonly BLUETOOTH_CONNECT: "android.permission.BLUETOOTH_CONNECT";
    readonly BLUETOOTH_SCAN: "android.permission.BLUETOOTH_SCAN";
    readonly BODY_SENSORS: "android.permission.BODY_SENSORS";
    readonly BODY_SENSORS_BACKGROUND: "android.permission.BODY_SENSORS_BACKGROUND";
    readonly CALL_PHONE: "android.permission.CALL_PHONE";
    readonly CAMERA: "android.permission.CAMERA";
    readonly GET_ACCOUNTS: "android.permission.GET_ACCOUNTS";
    readonly NEARBY_WIFI_DEVICES: "android.permission.NEARBY_WIFI_DEVICES";
    readonly PROCESS_OUTGOING_CALLS: "android.permission.PROCESS_OUTGOING_CALLS";
    readonly READ_CALENDAR: "android.permission.READ_CALENDAR";
    readonly READ_CALL_LOG: "android.permission.READ_CALL_LOG";
    readonly READ_CONTACTS: "android.permission.READ_CONTACTS";
    readonly READ_EXTERNAL_STORAGE: "android.permission.READ_EXTERNAL_STORAGE";
    readonly READ_MEDIA_AUDIO: "android.permission.READ_MEDIA_AUDIO";
    readonly READ_MEDIA_IMAGES: "android.permission.READ_MEDIA_IMAGES";
    readonly READ_MEDIA_VIDEO: "android.permission.READ_MEDIA_VIDEO";
    readonly READ_MEDIA_VISUAL_USER_SELECTED: "android.permission.READ_MEDIA_VISUAL_USER_SELECTED";
    readonly READ_PHONE_NUMBERS: "android.permission.READ_PHONE_NUMBERS";
    readonly READ_PHONE_STATE: "android.permission.READ_PHONE_STATE";
    readonly READ_SMS: "android.permission.READ_SMS";
    readonly RECEIVE_MMS: "android.permission.RECEIVE_MMS";
    readonly RECEIVE_SMS: "android.permission.RECEIVE_SMS";
    readonly RECEIVE_WAP_PUSH: "android.permission.RECEIVE_WAP_PUSH";
    readonly RECORD_AUDIO: "android.permission.RECORD_AUDIO";
    readonly SEND_SMS: "android.permission.SEND_SMS";
    readonly USE_SIP: "android.permission.USE_SIP";
    readonly UWB_RANGING: "android.permission.UWB_RANGING";
    readonly WRITE_CALENDAR: "android.permission.WRITE_CALENDAR";
    readonly WRITE_CALL_LOG: "android.permission.WRITE_CALL_LOG";
    readonly WRITE_CONTACTS: "android.permission.WRITE_CONTACTS";
    readonly WRITE_EXTERNAL_STORAGE: "android.permission.WRITE_EXTERNAL_STORAGE";
}>;
export type AndroidPermissionMap = typeof ANDROID;
export declare const PERMISSIONS: Readonly<{
    readonly ANDROID: Readonly<{
        readonly ACCEPT_HANDOVER: "android.permission.ACCEPT_HANDOVER";
        readonly ACCESS_BACKGROUND_LOCATION: "android.permission.ACCESS_BACKGROUND_LOCATION";
        readonly ACCESS_COARSE_LOCATION: "android.permission.ACCESS_COARSE_LOCATION";
        readonly ACCESS_FINE_LOCATION: "android.permission.ACCESS_FINE_LOCATION";
        readonly ACCESS_MEDIA_LOCATION: "android.permission.ACCESS_MEDIA_LOCATION";
        readonly ACTIVITY_RECOGNITION: "android.permission.ACTIVITY_RECOGNITION";
        readonly ADD_VOICEMAIL: "com.android.voicemail.permission.ADD_VOICEMAIL";
        readonly ANSWER_PHONE_CALLS: "android.permission.ANSWER_PHONE_CALLS";
        readonly BLUETOOTH_ADVERTISE: "android.permission.BLUETOOTH_ADVERTISE";
        readonly BLUETOOTH_CONNECT: "android.permission.BLUETOOTH_CONNECT";
        readonly BLUETOOTH_SCAN: "android.permission.BLUETOOTH_SCAN";
        readonly BODY_SENSORS: "android.permission.BODY_SENSORS";
        readonly BODY_SENSORS_BACKGROUND: "android.permission.BODY_SENSORS_BACKGROUND";
        readonly CALL_PHONE: "android.permission.CALL_PHONE";
        readonly CAMERA: "android.permission.CAMERA";
        readonly GET_ACCOUNTS: "android.permission.GET_ACCOUNTS";
        readonly NEARBY_WIFI_DEVICES: "android.permission.NEARBY_WIFI_DEVICES";
        readonly PROCESS_OUTGOING_CALLS: "android.permission.PROCESS_OUTGOING_CALLS";
        readonly READ_CALENDAR: "android.permission.READ_CALENDAR";
        readonly READ_CALL_LOG: "android.permission.READ_CALL_LOG";
        readonly READ_CONTACTS: "android.permission.READ_CONTACTS";
        readonly READ_EXTERNAL_STORAGE: "android.permission.READ_EXTERNAL_STORAGE";
        readonly READ_MEDIA_AUDIO: "android.permission.READ_MEDIA_AUDIO";
        readonly READ_MEDIA_IMAGES: "android.permission.READ_MEDIA_IMAGES";
        readonly READ_MEDIA_VIDEO: "android.permission.READ_MEDIA_VIDEO";
        readonly READ_MEDIA_VISUAL_USER_SELECTED: "android.permission.READ_MEDIA_VISUAL_USER_SELECTED";
        readonly READ_PHONE_NUMBERS: "android.permission.READ_PHONE_NUMBERS";
        readonly READ_PHONE_STATE: "android.permission.READ_PHONE_STATE";
        readonly READ_SMS: "android.permission.READ_SMS";
        readonly RECEIVE_MMS: "android.permission.RECEIVE_MMS";
        readonly RECEIVE_SMS: "android.permission.RECEIVE_SMS";
        readonly RECEIVE_WAP_PUSH: "android.permission.RECEIVE_WAP_PUSH";
        readonly RECORD_AUDIO: "android.permission.RECORD_AUDIO";
        readonly SEND_SMS: "android.permission.SEND_SMS";
        readonly USE_SIP: "android.permission.USE_SIP";
        readonly UWB_RANGING: "android.permission.UWB_RANGING";
        readonly WRITE_CALENDAR: "android.permission.WRITE_CALENDAR";
        readonly WRITE_CALL_LOG: "android.permission.WRITE_CALL_LOG";
        readonly WRITE_CONTACTS: "android.permission.WRITE_CONTACTS";
        readonly WRITE_EXTERNAL_STORAGE: "android.permission.WRITE_EXTERNAL_STORAGE";
    }>;
    readonly IOS: IOSPermissionMap;
    readonly WINDOWS: WindowsPermissionMap;
}>;
export {};
//# sourceMappingURL=permissions.android.d.ts.map